org.hibernate.validator.internal.xml

## Class ConstraintType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ConstraintType

-     public class ConstraintType
      extends Object

  Java class for constraintType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="constraintType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="groups" type="{http://jboss.org/xml/ns/javax/validation/mapping}groupsType" minOccurs="0"/>
               <element name="payload" type="{http://jboss.org/xml/ns/javax/validation/mapping}payloadType" minOccurs="0"/>
               <element name="element" type="{http://jboss.org/xml/ns/javax/validation/mapping}elementType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="annotation" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `annotation`
    `protected List<ElementType>` | `element`
    `protected GroupsType` | `groups`
    `protected String` | `message`
    `protected PayloadType` | `payload`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnnotation()` Gets the value of the annotation property.
    `List<ElementType>` | `getElement()` Gets the value of the element property.
    `GroupsType` | `getGroups()` Gets the value of the groups property.
    `String` | `getMessage()` Gets the value of the message property.
    `PayloadType` | `getPayload()` Gets the value of the payload property.
    `void` | `setAnnotation(String value)` Sets the value of the annotation property.
    `void` | `setGroups(GroupsType value)` Sets the value of the groups property.
    `void` | `setMessage(String value)` Sets the value of the message property.
    `void` | `setPayload(PayloadType value)` Sets the value of the payload property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### message

          protected String message

    - #### groups

          protected GroupsType groups

    - #### payload

          protected PayloadType payload

    - #### element

          protected List<ElementType> element

    - #### annotation

          protected String annotation

  - ### Constructor Detail

    - #### ConstraintType

          public ConstraintType()

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGroups

          public GroupsType getGroups()

      Gets the value of the groups property.
      Returns:
        possible object is `GroupsType`

    - #### setGroups

          public void setGroups(GroupsType value)

      Sets the value of the groups property.
      Parameters:
        `value` - allowed object is `GroupsType`

    - #### getPayload

          public PayloadType getPayload()

      Gets the value of the payload property.
      Returns:
        possible object is `PayloadType`

    - #### setPayload

          public void setPayload(PayloadType value)

      Sets the value of the payload property.
      Parameters:
        `value` - allowed object is `PayloadType`

    - #### getElement

          public List<ElementType> getElement()

      Gets the value of the element property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the element property.

      For example, to add a new item, do as follows:

              getElement().add(newItem);

      Objects of the following type(s) are allowed in the list `ElementType`

    - #### getAnnotation

          public String getAnnotation()

      Gets the value of the annotation property.
      Returns:
        possible object is `String`

    - #### setAnnotation

          public void setAnnotation(String value)

      Sets the value of the annotation property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved